
math.randomseed(os.time())

function love.load()
  require("particle")
  require("tile")
  require("vField")
  require("path")
  
  field = vField.new(16,12)
  
  line = love.graphics.newImage("line.png")
end


limit = 500
rotate = false

function love.update(dt)
  
  field:update(dt)
  
  for i,v in ipairs(particle) do particle[i]:update(dt) end
  for i,v in ipairs(path) do path[i]:update(dt) end
  
  for i = #path, 1, -1 do if path[i].delete then table.remove(path, i) end end 
  
  if(love.keyboard.isDown("r")) then
    rotate = true
  else
    rotate = false
  end
  
  
  if(limit > 0) then
    limit = limit - 1
   particle[#particle+1] = particle.new(math.random(50,750),math.random(50,550),math.random(100,500))
  end
end

function love.draw()
  field:draw()
  
  for i,v in ipairs(particle) do particle[i]:draw() end
  for i,v in ipairs(path) do path[i]:draw()end
end

function love.mousepressed(x,y,button)
  particle[#particle+1] = particle.new(x,y,math.random(-100,100))
end