particle = {}

particle.__index = particle

function particle.new(x,y,v)
  local self = {}
  self.x = x
  self.y = y
  self.vel = v
  self.angle = 0
  self.r = math.random(50,255)
  self.g = math.random(50,255)
  self.b = math.random(50,255)
  
  return setmetatable(self,particle)
end

function particle.update(self,dt)
  self.x = self.x + math.cos(self.angle) * self.vel * dt
  self.y = self.y + math.sin(self.angle) * self.vel * dt
  --path[#path + 1] = path.new(self.x,self.y)

  if(self.x > 800 or self.x+10 < 0 or self.y > 600 or self.y+10 < 0) then
    self.x = math.random(50,750)
    self.y = math.random(50,550)
  end
end

function particle.draw(self)
  love.graphics.setColor(self.r,self.g,self.b,100)
  love.graphics.circle("fill",self.x,self.y,10,8)
  love.graphics.setColor(255,255,255,255)
end

