path = {}

path.__index = path

function path.new(x,y,v)
  local self = {}
  
  self.x = x
  self.y = y
  self.timer = 0
  self.delete = false
  
  return setmetatable(self,path)
end

function path.update(self,dt)
  self.timer = self.timer + dt
  
  if(self.timer >= 10) then
    self.delete = true
  end
end

function path.draw(self)
  love.graphics.setColor(255,255,255,170)
  love.graphics.points(self.x,self.y)
  love.graphics.setColor(255,255,255,255)
end

