
vField = {}
vField.__index = vField

-- dy/dx = (y-3)/(x-4)
--tile[#tile+1] = tile.new(x*50,y,(y-300),(x*50)- 400)

--dy/dx = math.sin(y-3)/x-4
--tile[#tile+1] = tile.new(x*50,y,math.sin(y-300)*50,(x*50)- 400)


--dy/dx = (-x - 4)/y-3
--tile[#tile+1] = tile.new(x*50,y,-((x*50)-400),y-300)


function vField.new(w,h)
  local self = {}
  self.w = w
  self.h = h
  
  local y = 0
  local x = 0
  for i = 0,(w*h)-1 do
    if((i*50)%800 == 0 and i ~= 0) then
      y = y + 50
      x = 0
    end
    
    tile[#tile+1] = tile.new(x*50,y,-((x*50)-400),y-300)
    x = x + 1
  end
  
  return setmetatable(self,vField)
end

function vField.update(dt)
  for i,v in ipairs(tile) do
    tile[i]:update(dt)
  end
end

function vField.draw()
  for i = 1,#tile do
    tile[i]:draw()
  end
end